%define major 0
%define libname         %mklibname %{name} %{major}
%define develname       %mklibname %{name} -d

Name:           protobuf-c
Version:        0.15
Release:        %mkrel 3
Summary:        C bindings for Google's Protocol Buffers

Group:          Development/Other
License:        Apache License
URL:            http://code.google.com/p/protobuf-c/
Source0:        http://protobuf-c.googlecode.com/files/protobuf-c-%{version}.tar.gz
Source1:        http://protobuf-c.googlecode.com/svn/tags/%{version}/LICENSE

BuildRequires:  protobuf-devel

%description
Protocol Buffers are a way of encoding structured data in an efficient yet 
extensible format. This package provides a code generator and run-time
libraries to use Protocol Buffers from pure C (not C++).

It uses a modified version of protoc called protoc-c. 

%package -n             %{libname}
Summary:                Runtime library for %{name}
Group:                  System/Libraries

%description -n         %{libname}
This package contains the shared %{name} library.

%package -n %{develname}
Summary:        Protocol Buffers C headers and libraries
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains protobuf-c headers and libraries.

%prep
%setup -q
cp %{SOURCE1} .
autoreconf -vfi

%build
%configure --disable-static
# Causes build to fail
#make %{?_smp_mflags}
make

%check
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/libprotobuf-c.la

%files
%defattr(-,root,root,-)
%doc TODO LICENSE ChangeLog
%{_bindir}/protoc-c

%files -n %{libname}
%{_libdir}/libprotobuf-c.so.%{major}
%{_libdir}/libprotobuf-c.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root,-)
%dir %{_includedir}/google
%{_includedir}/google/protobuf-c
%{_libdir}/libprotobuf-c.so
%{_libdir}/pkgconfig/libprotobuf-c.pc



%changelog
* Tue Dec 31 2013 dmorgan <dmorgan> 0.15-3.mga4
+ Revision: 563505
- Rebuild against current protobuf

* Sat Oct 19 2013 umeabot <umeabot> 0.15-2.mga4
+ Revision: 533480
- Mageia 4 Mass Rebuild

* Fri Aug 30 2013 blino <blino> 0.15-1.mga4
+ Revision: 473571
- properly libify
- fore autoreconf to fix libtool mismatch
- imported package protobuf-c


* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 11 2013 David Robinson <zxvdr.au@gmail.com> - 0.15-7
- rebuilt for protobuf-2.5.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jun 12 2011 David Robinson <zxvdr.au@gmail.com> - 0.15-3
- rebuilt for protobuf-2.4.1

* Sun Apr 24 2011 David Robinson <zxvdr.au@gmail.com> - 0.15-2
- Spec file cleanup

* Wed Apr 20 2011 David Robinson <zxvdr.au@gmail.com> - 0.15-1
- New upstream release
- Spec file cleanup

* Mon Jan 17 2011 Bobby Powers <bobby@laptop.org> - 0.14-1
- New upstream release
- Removed -devel dependency on protobuf-devel
- Small specfile cleanups

* Wed May 19 2010 David Robinson <zxvdr.au@gmail.com> - 0.13-2
- Spec file cleanup

* Wed May 19 2010 David Robinson <zxvdr.au@gmail.com> - 0.13-1
- Initial packaging
